Bug 857798 - sig handlers in beakerd are only configured for daemon mode
sig handlers in beakerd are only configured for daemon mode
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Amit Saha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 23:39 EDT by Raymond Mancy
Modified: 2014-12-07 20:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 19:50:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-09-16 23:39:44 EDT
Description of problem:

beakerd only registers sig handlers if it's in daemon mode

Version-Release number of selected component (if applicable):

0.9.3

How reproducible:

Always

Steps to Reproduce:
1. Start beakerd in foreground mode
2. Kill the process
3. 
  
Actual results:

Does not exit cleanly

Expected results:

Does exit cleanly, as per beakerd

Additional info:
The handlers are registered within the 'if not opts.foreground' block
Comment 1 Amit Saha 2012-09-18 02:59:43 EDT
In gerrit: http://gerrit.beaker-project.org/#/c/1358/
Comment 2 Dan Callaghan 2012-10-11 19:50:24 EDT
Beaker 0.9.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.